Bug 845195 - Bump to version 5.0
Bump to version 5.0
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: ntop (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jonathan Steffan
Fedora Extras Quality Assurance
:
Depends On: 841827
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 04:08 EDT by Stjepan Gros
Modified: 2012-11-25 15:14 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 841827
Environment:
Last Closed: 2012-11-25 15:14:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stjepan Gros 2012-08-02 04:08:42 EDT
+++ This bug was initially created as a clone of Bug #841827 +++

Created attachment 599356 [details]
SPEC file

I suggest that NMAP in Fedora is upgraded to version 5.0. I managed to compile it on F17 with minimal changes. Attached are changed files with respect to SRPM.

--- Additional comment from stjepan.gros@gmail.com on 2012-07-20 06:27:02 EDT ---

Created attachment 599357 [details]
Changed patch...

--- Additional comment from stjepan.gros@gmail.com on 2012-07-20 06:27:39 EDT ---

Created attachment 599362 [details]
Changed patch...

--- Additional comment from sven@lank.es on 2012-07-20 06:57:37 EDT ---

I'll take a shot at upgrading the package ...

--- Additional comment from stjepan.gros@gmail.com on 2012-07-23 14:45:08 EDT ---

I update spec file so that it can compile on CentOS6, too.

--- Additional comment from stjepan.gros@gmail.com on 2012-07-23 14:52:28 EDT ---

Created attachment 599838 [details]
Spec file that supports EPEL6 too

--- Additional comment from stjepan.gros@gmail.com on 2012-07-23 14:53:09 EDT ---

Created attachment 599839 [details]
init.d file for ntop when used in EPEL6

--- Additional comment from sven@lank.es on 2012-08-02 00:22:24 EDT ---

I've built ntop5 for rawhide.

There was some more work to be done as your .spec did download additional (nDPI) sourcecode from svn which is a no-go for fedora packages for a few reasons.

I've left out the el6-bits. While I don't mind them in the .spec in general this needs to be done by the EL6-Maintainer. I don't have commit access to the EL6-Packages.

--- Additional comment from updates@fedoraproject.org on 2012-08-02 01:13:06 EDT ---

ntop-5.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ntop-5.0-2.fc17
Comment 1 Stjepan Gros 2012-08-02 04:09:53 EDT
Is it possible to include ntop in EPEL6? Spec file attached to original bug report works for EPEL, too. Maybe something will have to be backported from new spec file in rawhide.
Comment 2 Jonathan Steffan 2012-11-08 16:42:18 EST
http://koji.fedoraproject.org/koji/taskinfo?taskID=4669378

We are doing a test of this build in our lab now. Please also do some testing and report if this build is working for you as expected and I will issue an update for this to go into EPEL6.

Thanks.
Comment 3 Jonathan Steffan 2012-11-09 16:15:09 EST
https://admin.fedoraproject.org/updates/ntop-5.0-4.el6
Comment 4 Jonathan Steffan 2012-11-25 15:14:53 EST
I've merged in the new spec and issued builds for all active branches. I will not be issuing updates for all branches as nothing functional has changed.

Update FEDORA-EPEL-2012-13435 has been marked as stable.

Note You need to log in before you can comment on or make changes to this bug.